local BaikCore = LibStub("AceAddon-3.0"):GetAddon("BaikCore")
local Log = BaikCore.Log
local Option = BaikCore.Option

-- Add Module
local BaikUnitFrame = BaikCore:NewModule("BaikUnitFrame")
BaikCore.BaikUnitFrame = BaikUnitFrame

-- Constants
BaikUnitFrame.OPTION_NAME = "unit_frame"

local OPTION = {
    name = "Unit Frame",
    type = "group",
    childGroups = "tab",
    args = {}
}

-- Ace3 Callbacks
function BaikUnitFrame:OnInitialize()
    Log:v("BaikUnitFrame_OnInitialize")
    Option:AddCategory(self.OPTION_NAME, OPTION)
end

function BaikUnitFrame:OnEnable()
    Log:v("BaikUnitFrame_OnEnable")
end

function BaikUnitFrame:OnDisable()
    Log:v("BaikUnitFrame_OnDisable")
end
